import request from '@/utils/request'

// 查询重点区域列表
export function listZdqy(query) {
    return request({
        url: '/jn/regionalsettings/list',
        method: 'get',
        params: query
    })
}
// 查询区域网格列表
export function listQywg(query) {
    return request({
        url: '/jn/bgridsetting/list',
        method: 'get',
        params: query
    })
}
//根据等级查询所有区域网格
export function levelQywg(query) {
    return request({
        url: '/jn/bgridsetting/getListBylevel',
        method: 'get',
        params:query
    })
}
// 查询重点路段列表
export function listZdld(query) {
    return request({
        url: '/jn/roadsetting/list',
        method: 'get',
        params: query
    })
}

//  获取围栏管理列表
export function getFenceList(params) {
    return request({
      url: "/jn/fence/list",
      method:'get',
      params
    })
  }