import Vue from 'vue'
import App from './App.vue'
import router from './router'
import Element from 'element-ui'
import "@/assets/style/index.scss"
import 'element-ui/lib/theme-chalk/index.css';
import './permission' 
Vue.config.productionTip = false

Vue.directive('title', {
  inserted: function (el, binding) {
    document.title = el.dataset.title
  }
})

// router.beforeEach((to, from, next) => {
//   window.document.title = to.meta.title == undefined ? '默认标题' : to.meta.title
//   next();
// })
Vue.use(Element)
new Vue({
  router,
  render: h => h(App),
}).$mount('#app')
