import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

const constantRoutes = [
  {
    path: '/',
    redirect: "home",
  },
  {
    path: '/home',
    meta: {
      title:'首页'
    },
    component: () => import("@/components/map.vue"),
  },
  {
    path: '/parkinglot',
    meta: {
      title:'停车查询'
    },
    component: () => import("@/components/queryCar.vue"),
  }
]

export default new Router({
  // mode: 'history', // 去掉url中的#
  scrollBehavior: () => ({ y: 0 }),
  routes: constantRoutes
})