import Cookies from 'js-cookie'

const TokenKey = 'Admin-Token'              // 自己的token
const Access = 'X-Access-Token'             // test环境的token
const RobotToken = 'X-Access-token'         // 测试环境的token

export function getToken() {
  return Cookies.get(TokenKey)
}

export function setToken(token) {
  return Cookies.set(TokenKey, token, { expires: 7 })
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getAccess() {
  return Cookies.get(Access)
}

export function setAccess(token) {
  return Cookies.set(Access, token)
}

export function removeAccess() {
  return Cookies.remove(Access)
}

export function getRobot() {
  return Cookies.get(RobotToken)
}

export function setRobot(token) {
  return Cookies.set(RobotToken, token)
}

export function removeRobot() {
  return Cookies.remove(RobotToken)
}

